App::Pinto::Command::nop(3pm)

NAME
App::Pinto::Command::nop - do nothing

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT nop [OPTIONS]

DESCRIPTION
This command is a no-operation. It puts a shared lock on the repository, but does not perform any operations. This is really only used for diagnostic purposes. So don't worry about it too much.

COMMAND ARGUMENTS
None.

COMMAND OPTIONS

--sleep N
    Sleep for N seconds before releasing the lock and exiting. Default is 0.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.